## org.apache.lucene.queryParser.standard.config
Interface PositionIncrementsAttribute

All Superinterfaces:
  Attribute

All Known Implementing Classes:
  PositionIncrementsAttributeImpl

    public interface PositionIncrementsAttribute

extends Attribute

This attribute is used by `AnalyzerQueryNodeProcessor` processor and must be defined in the `QueryConfigHandler`. This attribute tells the processor if the position increment is enabled.

Method Summary
`boolean` `isPositionIncrementsEnabled()`
`void` `setPositionIncrementsEnabled(boolean positionIncrementsEnabled)`

Method Detail

### setPositionIncrementsEnabled

    void setPositionIncrementsEnabled(boolean positionIncrementsEnabled)

### isPositionIncrementsEnabled

    boolean isPositionIncrementsEnabled()

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.